org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface OperationCallQuery

All Superinterfaces:
  Query

    public interface OperationCallQuery
    extends Query

A representation of the model object 'Operation Call Query'.

The following features are supported:

- `Operation`
- `Arguments`

Since:
  0.2
See Also:
  `QueryPackage.getOperationCallQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getArguments()` Returns the value of the 'Arguments' containment reference list.
`EOperation` `getOperation()` Returns the value of the 'Operation' reference.
`void` `setOperation(EOperation value)` Sets the value of the '`Operation`' reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getOperation

    EOperation getOperation()

Returns the value of the 'Operation' reference.

If the meaning of the 'Operation' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Operation' reference.
See Also:
  `setOperation(EOperation)`, `QueryPackage.getOperationCallQuery_Operation()`
Generated:
Model:

#### setOperation

    void setOperation(EOperation value)

Sets the value of the '`Operation`' reference.

Parameters:
  `value` - the new value of the 'Operation' reference.
See Also:
  `getOperation()`
Generated:

#### getArguments

    <any> getArguments()

Returns the value of the 'Arguments' containment reference list. The list contents are of type `Query`.

If the meaning of the 'Arguments' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Arguments' containment reference list.
See Also:
  `QueryPackage.getOperationCallQuery_Arguments()`
Generated:
Model:
  containment="true"